.TH snmp_view_based_acm_mib 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmp_view_based_acm_mib \- Instrumentation Functions for SNMP-VIEW-BASED-ACM-MIB
.SH DESCRIPTION
.LP
The module \fIsnmp_view_based_acm_mib\fR implements the instrumentation functions for the SNMP-VIEW-BASED-ACM-MIB, and functions for configuring the database\&. 
.LP
The configuration files are described in the SNMP User\&'s Manual\&.

.SH EXPORTS
.LP
.B
configure(ConfDir) -> void()
.br
.RS
.TP
Types
ConfDir = string()
.br
.RE
.RS
.LP
This function is called from the supervisor at system start-up\&. 
.LP
Inserts all data in the configuration files into the database and destroys all old rows with StorageType \fIvolatile\fR\&. The rows created from the configuration file will have StorageType \fInonVolatile\fR\&. 
.LP
All \fIsnmp\fR counters are set to zero\&. 
.LP
If an error is found in the configuration file, it is reported using the function \fIconfig_err/2\fR of the error report module, and the function fails with the reason \fIconfiguration_error\fR\&. 
.LP
\fIConfDir\fR is a string which points to the directory where the configuration files are found\&. 
.LP
The configuration file read is: \fIvacm\&.conf\fR\&. 
.RE
.LP
.B
reconfigure(ConfDir) -> void()
.br
.RS
.TP
Types
ConfDir = string()
.br
.RE
.RS
.LP
Inserts all data in the configuration files into the database and destroys all old data, including the rows with StorageType \fInonVolatile\fR\&. The rows created from the configuration file will have StorageType \fInonVolatile\fR\&. 
.LP
Thus, the data in the SNMP-VIEW-BASED-ACM-MIB, after this function has been called, is the data from the configuration files\&. 
.LP
All \fIsnmp\fR counters are set to zero\&. 
.LP
If an error is found in the configuration file, it is reported using the function \fIconfig_err/2\fR of the error report module, and the function fails with the reason \fIconfiguration_error\fR\&. 
.LP
\fIConfDir\fR is a string which points to the directory where the configuration files are found\&. 
.LP
The configuration file read is: \fIvacm\&.conf\fR\&. 
.RE
.LP
.B
add_sec2group(SecModel, SecName, GroupName) -> Ret
.br
.RS
.TP
Types
SecModel = v1 | v2c | usm
.br
SecName = string()
.br
GroupName = string()
.br
Ret = {ok, Key} | {error, Reason}
.br
Key = term()
.br
Reason = term()
.br
.RE
.RS
.LP
Adds a security to group definition to the agent config\&. Equivalent to one vacmSecurityToGroup-line in the \fIvacm\&.conf\fR file\&.
.RE
.LP
.B
delete_sec2group(Key) -> Ret
.br
.RS
.TP
Types
Key = term()
.br
Ret = ok | {error, Reason}
.br
Reason = term()
.br
.RE
.RS
.LP
Delete a security to group definition from the agent config\&.
.RE
.LP
.B
add_access(GroupName, Prefix, SecModel, SecLevel, Match, RV, WV, NV) -> Ret
.br
.RS
.TP
Types
GroupName = string()
.br
Prefix = string()
.br
SecModel = v1 | v2c | usm
.br
SecLevel = string()
.br
Match = prefix | exact
.br
RV = string()
.br
WV = string()
.br
NV = string()
.br
Ret = {ok, Key} | {error, Reason}
.br
Key = term()
.br
Reason = term()
.br
.RE
.RS
.LP
Adds a access definition to the agent config\&. Equivalent to one vacmAccess-line in the \fIvacm\&.conf\fR file\&.
.RE
.LP
.B
delete_access(Key) -> Ret
.br
.RS
.TP
Types
Key = term()
.br
Ret = ok | {error, Reason}
.br
Reason = term()
.br
.RE
.RS
.LP
Delete a access definition from the agent config\&.
.RE
.LP
.B
add_view_tree_fam(ViewIndex, SubTree, Status, Mask) -> Ret
.br
.RS
.TP
Types
ViewIndex = integer()
.br
SubTree = oid()
.br
Status = included | excluded
.br
Mask = null | [integer()], where all values are either 0 or 1
.br
Ret = {ok, Key} | {error, Reason}
.br
Key = term()
.br
Reason = term()
.br
.RE
.RS
.LP
Adds a view tree family definition to the agent config\&. Equivalent to one vacmViewTreeFamily-line in the \fIvacm\&.conf\fR file\&.
.RE
.LP
.B
delete_view_tree_fam(Key) -> Ret
.br
.RS
.TP
Types
Key = term()
.br
Ret = ok | {error, Reason}
.br
Reason = term()
.br
.RE
.RS
.LP
Delete a view tree family definition from the agent config\&.
.RE
